お手数をお掛けします
ゴブリンウォーカーVER1.50が起動しない御意見を多数頂いております

Ver1.50はDirectX9の最新版に近いVerでないと
正しく起動しない場合があるようです

ですが、しかし現在公式でDirectX9のDLが難しい状況であるそうです
詳しくはこちらを参考にして下さい
http://futago-life.com/wife-support/pc-repair-resale/directx9-0c-for-windows10.html#i-3
※つまさぽ(妻のサポート)様の記事を引用させて頂いております

次回の更新Ver1.50ではDirectX9が最新版でなくとも起動するよう調整しておりますので
しばらくかかると思いますが少々お待ち下さい